@passband/sdk - v0.0.0
    Preparing search index...

    Class VoiceResource

    Voice resource — GET/PATCH /voice.

    Index

    Constructors

    Methods

    Constructors

    • Parameters

      • http: HttpClient

      Returns VoiceResource

    Methods

    • Get the voice profile. GET /voice

      Returns Promise<
          {
              avoid?: string[];
              createdAt?: string;
              examples?: string[];
              formats?: Record<string, never>
              | null;
              id?: string;
              style?: string;
              updatedAt?: string;
          },
      >

    • Update (or create) the voice profile. PATCH /voice

      Parameters

      • body: {
            avoid?: string[];
            examples?: string[];
            formats?: Record<string, never>;
            style?: string;
        }

      Returns Promise<
          {
              avoid?: string[];
              createdAt?: string;
              examples?: string[];
              formats?: Record<string, never>
              | null;
              id?: string;
              style?: string;
              updatedAt?: string;
          },
      >